# SPDX-License-Identifier: MIT
%global source_version 4.025
%global source_release 6

%global forge_url    https://github.com/alexeiva/Raleway
%global forge_commit 98add575720aa077b7d253477e26c463a55e71da

%global default_fonts_foundry      Impallari
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt *.md
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Raleway
%global fonts_summary            Raleway, an elegant sans-serif font family
%global fonts_fonts              fonts/TTF/*ttf
%global fonts_experimental_confs 58-%{fonts_name}.xml
%global fonts_description        %{expand:
Raleway is an elegant sans-serif font family intended for headings and other
large size usage.

It features both old style and lining numerals, standard and discretionary
ligatures, a pretty complete set of diacritics, as well as a stylistic
alternate inspired by more geometric sans-serif typefaces than its
neo-grotesque inspired default character set.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documents/*

%auto_init
%auto_pkg

%sourcelist
%auto_sources
58-%{fonts_name}.xml

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .
%linuxtext %{fonts_docs} %{fonts_licenses}

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
